Estado de la configuración en ARCA
curl --request GET \
--url https://www.facture.ar/api/cuits/{cuitId}/setup-status \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://www.facture.ar/api/cuits/{cuitId}/setup-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.facture.ar/api/cuits/{cuitId}/setup-status"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.facture.ar/api/cuits/{cuitId}/setup-status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"setupStatus": "INITIALIZED",
"progress": 50,
"isCompleted": true
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"resolution": "<string>",
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"details": "<unknown>"
}CUITs
Estado de la configuración en ARCA
En qué paso está la configuración del CUIT en ARCA.
GET
/
cuits
/
{cuitId}
/
setup-status
Estado de la configuración en ARCA
Authorizations
API Key para autenticación. Formato: test_sk_xxx para testing, prod_sk_xxx para producción.
Path Parameters
ID del CUIT en Facturear
Response
Estado
Available options:
INITIALIZED, IN_PROGRESS, TEST_CERTIFICATE_COMPLETE, PROD_CERTIFICATE_COMPLETE, AWAITING_DELEGATION, DELEGATION_COMPLETE, AUTOMATION_IN_PROGRESS, AUTOMATION_FAILED, COMPLETED, SKIPPED Porcentaje: certificados, puntos de venta y concepto por defecto
Required range:
0 <= x <= 100